# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_ticket

`krb5_ticket`

Ticket structure.

The C representation of the ticket message, with a pointer to the C representation of the encrypted part.

## Declaration

typedef struct _krb5_ticket krb5_ticket

## Members

krb5_magic `krb5_ticket.magic`

krb5_principal `krb5_ticket.server`

  server name/realm

krb5_enc_data `krb5_ticket.enc_part`

  encryption type, kvno, encrypted encoding

krb5_enc_tkt_part * `krb5_ticket.enc_part2`

  ptr to decrypted version, if available